<template>
  <div>
    <div class="-mbl">
      <p>With persistent items (slot)</p>

      <gp-collapsible-toolbar :items="items.items">
        <rui-button icon="check" caption="I'm persistent for reasons" />
      </gp-collapsible-toolbar>
    </div>

    <div class="-mbl">
      <p>With persistent items (prop)</p>

      <gp-collapsible-toolbar :items="items.items" :persistent="items.persistent" />
    </div>

    <div class="-mbl">
      <p>With items always hidden</p>

      <gp-collapsible-toolbar :items="items.items" :hidden="items.hidden" />
    </div>

    <div>
      <p>With all the props</p>

      <gp-collapsible-toolbar :items="items.items" :hidden="items.hidden" :persistent="items.persistent" breakpoint="medium" />
    </div>
  </div>
</template>

<script>
import GpCollapsibleToolbar from '@/vue/common/CollapsibleToolbar/CollapsibleToolbar.vue'
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'

export default {
  components: { RuiButton, GpCollapsibleToolbar },
  data () {
    return {
      items: {
        persistent: [
          { icon: 'asterisk', caption: "I'm persistent!" },
        ],
        items: [
          'separator', // Gets removed when collapsing
          { icon: 'home', caption: 'Click me', onclick: () => { window.alert('Oh, you!') } },
          'separator',
          { icon: 'user-plus', caption: 'Add something' },
          { icon: 'user-minus', caption: 'Add something' },
          'separator',
          { icon: 'arrow-bend-right-down', caption: 'Implant' },
          { icon: 'arrow-bend-right-up', caption: 'Remove', variant: 'canceling' },
          'separator', // Gets removed when not collapsed
        ],
        hidden: [
          { icon: 'pencil', caption: 'Edit' },
          { icon: 'trash', caption: 'Destroy', variant: 'destructive' },
        ],
      },
    }
  },
}
</script>
